<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>Message Passing Toolkit: MPI Programmer's Manual</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5364589">
<title>New Features</title>
</preface>
<preface href="pr02.html" id="id5178696">
<title>About This Manual</title>
<section href="pr02.html#Z832275203jlb" id="Z832275203jlb">
<title>Related Publications and Other Sources</title>
</section>
<section href="pr02.html#Z825545312melby" id="Z825545312melby">
<title>Conventions</title>
</section>
<section href="pr02.html#Z825546061melby" id="Z825546061melby">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="id5177760">
<title>Chapter 1. Overview</title>
<section href="ch01.html#id5177939" id="id5177939">
<title>MPI Overview</title>
</section>
<section href="ch01.html#id5178103" id="id5178103">
<title>MPI Components</title>
</section>
<section href="ch01.html#id5178160" id="id5178160">
<title>MPI Program Development</title>
<procedure href="ch01.html#Z825438061brenda" id="Z825438061brenda">
<title>Procedure 1-1. Steps for MPI program development</title>
</procedure>
</section>
</chapter>
<chapter href="ch02.html" id="Z867162987jlb">
<title>Chapter 2. Building MPI Applications</title>
<section href="ch02.html#id5178301" id="id5178301">
<title>Compiling and Linking IRIX Programs</title>
</section>
<section href="ch02.html#id5178356" id="id5178356">
<title>Compiling and Linking Linux Programs</title>
</section>
</chapter>
<chapter href="ch03.html" id="Z868552356jlb">
<title>Chapter 3. Using mpirun to Execute Applications</title>
<section href="ch03.html#id5186921" id="id5186921">
<title>Syntax of the mpirun Command</title>
</section>
<section href="ch03.html#id5187835" id="id5187835">
<title>Using a File for mpirun Arguments</title>
</section>
<section href="ch03.html#id5187909" id="id5187909">
<title>Launching Programs on the Local Host Only</title>
<section href="ch03.html#Z834436276jlb" id="Z834436276jlb">
<title>Using mpirun(1) to Run Programs in Shared Memory Mode</title>
</section>
</section>
<section href="ch03.html#id5188105" id="id5188105">
<title>Launching a Distributed Program</title>
</section>
</chapter>
<chapter href="ch04.html" id="id5188308">
<title>Chapter 4. Thread-Safe MPI</title>
<section href="ch04.html#id5188429" id="id5188429">
<title>Initialization</title>
</section>
<section href="ch04.html#id5188532" id="id5188532">
<title>Query Functions</title>
</section>
<section href="ch04.html#id5188567" id="id5188567">
<title>Requests</title>
</section>
<section href="ch04.html#id5188597" id="id5188597">
<title>Probes</title>
</section>
<section href="ch04.html#id5188638" id="id5188638">
<title>Collectives</title>
</section>
<section href="ch04.html#id5188664" id="id5188664">
<title>Exception Handlers</title>
</section>
<section href="ch04.html#id5188708" id="id5188708">
<title>Signals</title>
</section>
<section href="ch04.html#id5188733" id="id5188733">
<title>Internal Statistics</title>
</section>
<section href="ch04.html#id5188754" id="id5188754">
<title>Finalization</title>
</section>
</chapter>
<chapter href="ch05.html" id="id5188786">
<title>Chapter 5. Multiboard Feature for GSN and HiPPI 800 Networks </title>
<table href="ch05.html#Z969480286jlb" id="Z969480286jlb">
<title>Table 5-1. Algorithms for assigning multiple HiPPI adapters to MPI processes</title>
</table>
</chapter>
<chapter href="ch06.html" id="id5189108">
<title>Chapter 6. Setting Environment Variables</title>
<section href="ch06.html#id5189124" id="id5189124">
<title>Setting MPI Environment Variables</title>
<table href="ch06.html#Z855352812jlb" id="Z855352812jlb">
<title>Table 6-1. MPI Environment Variables</title>
</table>
</section>
<section href="ch06.html#id5191523" id="id5191523">
<title>Internal Message Buffering in MPI</title>
<table href="ch06.html#Z862413039jlb" id="Z862413039jlb">
<title>Table 6-2. Outline of Improper Dependence on Buffering</title>
</table>
</section>
</chapter>
<chapter href="ch07.html" id="id5191774">
<title>Chapter 7. MPI Troubleshooting and Application Tuning</title>
<section href="ch07.html#id5191807" id="id5191807">
<title>What does MPI: could not run executable mean?</title>
<section href="ch07.html#id5191848" id="id5191848">
<title>Can this error message be more descriptive?</title>
</section>
<section href="ch07.html#id5191908" id="id5191908">
<title>Is there anything else I can do?</title>
</section>
<section href="ch07.html#id5191933" id="id5191933">
<title>In the meantime, how can I figure out why mpirun is failing?</title>
</section>
</section>
<section href="ch07.html#id5192252" id="id5192252">
<title>How do I combine MPI with other tools?</title>
<section href="ch07.html#id5192389" id="id5192389">
<title>Combining MPI with dplace</title>
</section>
<section href="ch07.html#id5192411" id="id5192411">
<title>Combining MPI with perfex</title>
</section>
<section href="ch07.html#id5192451" id="id5192451">
<title>Combining  MPI with rld</title>
</section>
<section href="ch07.html#id5192498" id="id5192498">
<title>Combining MPI with TotalView</title>
</section>
</section>
<section href="ch07.html#id5192553" id="id5192553">
<title>How can I allocate more than 700 to 1000 MB when I link with libmpi?</title>
</section>
<section href="ch07.html#id5192610" id="id5192610">
<title>Why does my code run correctly until it reaches MPI_Finalize(3) and then hang?</title>
</section>
<section href="ch07.html#id5192728" id="id5192728">
<title>Why do I keep getting error messages about MPI_REQUEST_MAX being too small, no matter how large I set it?</title>
</section>
<section href="ch07.html#id5192768" id="id5192768">
<title>Why am I not seeing stdout or stderr output from my MPI application?</title>
</section>
</chapter>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
